// JavaScript Document
    var date_selector =
    {
      frm:null,
      init:function(frm1)
      {
        this.frm=frm1;
      },
      getMonthTable:function(year, month, date)
      {
        var tableText = "";
        var months =
        [
          "January", "February", "March", "April", "May", "June", "July",
          "August", "September", "October", "November", "December"
        ];
        var days = ["Sun", "Mon", "Tue", "Wed", "Thu", "Fri", "Sat"];
        month = (month == null || isNaN(month) ? null : month);
        if(year == null || isNaN(year) || month == null || isNaN(month))
        {
          var dt = new Date();
          year = dt.getFullYear();
          month = dt.getMonth();
          date = dt.getDate();
        }
        date = (date == null || isNaN(date) ? null : date);
        var previousMonth = new Date(year, month-1, 1);
        var nextMonth = new Date(year, month+1, 1);
        tableText =
        (
          "<table align=\"left\" id=\"dateSelector_sample\" \
          style=\"border-collapse:collapse;\" \
          cellpadding=\"2\" cellspacing=\"0\">\
          <tr>\
          <th style=\"cursor:pointer;text-align:left;\" \
          onclick=\"date_selector.updateDateSelectorPane("
          +previousMonth.getFullYear()+", "+previousMonth.getMonth()
          +");\">&#8592;</th>\
          <th style=\"text-align:center;\" colspan=\"4\">"+months[month]
          +", "+year+"</th>\
          <th style=\"cursor:pointer;text-align:right;\" \
          onclick=\"date_selector.updateDateSelectorPane("
          +nextMonth.getFullYear()+", "+nextMonth.getMonth()+");\">&#8594;</th>\
          <th style=\"text-align:right;cursor:pointer;\" \
          onclick=\"date_selector.updateDateElement();\">X</th>\
          </tr>"
        );
        for(var i=0; i<days.length; i++)
        {
          tableText += "<th>"+days[i]+"</th>";
        }
        tableText += "</tr>";
        var tempDate;
        for(var i=1-(new Date(year, month, 1)).getDay();; i++)
        {
          tempDate = new Date(year, month, i);
          if(tempDate.getDay() == 0)
          {
            tableText += "<tr>";
          }
          tableText +=
          (
            "<td"+(tempDate.getMonth() == month ? " \
            onclick=\"date_selector.updateDateElement("
            +tempDate.getFullYear()+", "+
            tempDate.getMonth()+", "+tempDate.getDate()+");\""+
            (tempDate.getDate() == date
            ? " style=\"border:solid 2px black;font-weight:bold;\"" : "")
            : " \
            style=\"color:silver;cursor:default;\"")+">"+
            tempDate.getDate()+
            "</td>"
          );
          if(tempDate.getDay() == 6)
          {
            tableText += "</tr>";
          }
          tempDate = new Date(year, month, i+1);
          if(tempDate.getMonth() != month && tempDate.getDay() == 0)
          {
            break;
          }
        }
        tableText += "</table>";
        return tableText;
      },
      updateDateSelectorPane:function(year, month, day)
      {
        var d = document.getElementById("dateSelectorPane");
        d.innerHTML = this.getMonthTable(year, month, day);
        d.style.display = "block";
        var m = document.getElementById("dateSelectorPaneIF");
        m.style.display = "block";
      },
      showDateSelector:function(elementName)
      {
        
        if(elementName == null)
        {
          this.updateDateSelectorPane();
        }
        else
        {
          this.dateElementToUpdate = elementName;
          var e = this.frm.elements[elementName];
          e.select();
          e = e.value.split("/");
          try
          {
            e[0] = parseInt(e[0], 10);
            e[1] = parseInt(e[1], 10);
            e[2] = parseInt(e[2], 10);
            this.updateDateSelectorPane(e[2], e[0]-1, e[1]);
          }
          catch(e)
          {
            this.updateDateSelectorPane();
          }
        }
      },
      updateDateElement:function(year, month, day)
      {
        document.getElementById("dateSelectorPane").style.display="none";
        document.getElementById("dateSelectorPaneIF").style.display="none";
        if(year != null && month != null && day != null)
        {
          month = (month+1)+"";
          day += "";
          month = (month.length == 1 ? "0"+month : month);
          day = (day.length == 1 ? "0"+day : day);
          this.frm.elements[this.dateElementToUpdate].value
          = (month+"/"+day+"/"+year);
        }
        this.dateElementToUpdate = null;
      },
      dateElementToUpdate:null
    };
    function printDateRange()
    {
      var frm = date_selector.frm;
      window.alert
      (
        'This Popup summarizes the date range you entered.\n\n'
        +'Minimum Date:  '+frm.minimumDate.value
        +'\n\nMaximum Date:  '+frm.maximumDate.value
      );
    }
    
    function selFrom()
    {
    /*
    //document.getElementById("minimumDate").select();
    document.form1.quickdate.className = 'logaholic_qdate_dim';
    document.form1.minimumDate.className = '';
    document.form1.maximumDate.className = '';
    */
    }
    function selTo()
    {
    /*
    //document.getElementById("maximumDate").select();
    document.form1.quickdate.className = 'logaholic_qdate_dim';
    */
    }
    function Qdate() 
    {
    document.form1.quickdate.className = 'logaholic_qdate';
    document.form1.minimumDate.className = 'logaholic_qdate_dim';
    document.form1.maximumDate.className = 'logaholic_qdate_dim';
    date_selector.updateDateElement();
    }
    
    function Report(label) 
    {
    document.form1.labels.value = label;
    document.form1.but.value = "Report";
    document.form1.submit();
    }
    
    function ClickTrail(ip) 
    {
    document.form1.ip.value = ip;
    /*document.form1.but.value = "Report";*/
    document.form1.submit();
    }
    
    function moreoptions() 
    {
      if (advancedUI.style.display=="block") {
				advancedUI.style.display="none";
				/*UI.className="regularoptions";*/
			} else {
				advancedUI.style.display="block";
				/*UI.className="moreoptions";*/
			}
    }
    function rocketscience() 
    {
      if (rocketscienceUI.style.display=="block") {
				rocketscienceUI.style.display="none";
				advancedUI.style.display="none";
				UI.className="regularoptions";
			} else {
			  advancedUI.style.display="none";
				rocketscienceUI.style.display="block";
				UI.className="moreoptions";
			}
    }
    /*
    function menu(row) 
    {
      if (document.getElementById(row).style.display=="block") {
        document.getElementById(row).style.display="none";
      } else {
        document.getElementById(row).style.display="block";
      }
	}
    */
	function go_profile(text,url)
    {
     var where_to= confirm(text);
     if (where_to== true)
     {
       window.location=url;
     }
    }


var xmlHttp
var prevLogfileValue = "";
var thediv="";

function resolveIP(str, which)
{
    thediv=which;
       
    if (str.length==0)
    { 
        //document.getElementById("txtHint").innerHTML=""
        //return
    }
    if (prevLogfileValue != str) {
        xmlHttp=GetXmlHttpObject()
        if (xmlHttp==null)
        {
            alert ("Browser does not support HTTP Request")
            return
        } 
        
        var url="resolve.php"
        url=url+"?q="+escape(str);
        url=url+"&sid="+Math.random()
        xmlHttp.onreadystatechange=stateChanged
        xmlHttp.open("GET",url,true)
        xmlHttp.send(null)
        
        prevLogfileValue = str;
    }
} 

function menu(str, from, to, conf, mode, which)
{
    thediv=which;
    if (document.getElementById(thediv).style.display=="block") {
        document.getElementById(thediv).style.display="none";
    } else {
        document.getElementById(thediv).style.display="block";
    }
    
    if (str.length==0)
    { 
        //document.getElementById("txtHint").innerHTML=""
        //return
    }
    if (prevLogfileValue != str) {
        xmlHttp=GetXmlHttpObject()
        if (xmlHttp==null)
        {
            alert ("Browser does not support HTTP Request")
            return
        } 
        
        var url="actionmenu.php"
        if (mode=="page") {
            url=url+"?url="+escape(str); 
        } else if (mode=="keyword") {
            url=url+"?keyword="+escape(str); 
        } else if (mode=="referrer") {
            url=url+"?referrer="+escape(str); 
        }
        url=url+"&conf="+escape(conf);
        url=url+"&from="+escape(from);
        url=url+"&to="+escape(to);
        url=url+"&thediv="+escape(thediv); 
        url=url+"&sid="+Math.random()
        xmlHttp.onreadystatechange=stateChanged
        xmlHttp.open("GET",url,true)
        xmlHttp.send(null)
        
        prevLogfileValue = str;
    }
} 


function stateChanged() 
{ 
    if (xmlHttp.readyState==4 || xmlHttp.readyState=="complete")
    { 
        document.getElementById(thediv).innerHTML=xmlHttp.responseText
        document.getElementById(thediv).style.display="block";
    } 
} 

function GetXmlHttpObject()
{ 
    var objXMLHttp=null
    if (window.XMLHttpRequest)
    {
        objXMLHttp=new XMLHttpRequest()
    }
    else if (window.ActiveXObject)
    {
        objXMLHttp=new ActiveXObject("Microsoft.XMLHTTP")
    }
    return objXMLHttp
}
    
